
#include <cpp/base/hphp.h>
#include <sys/global_variables.h>

using namespace std;

namespace HPHP {
///////////////////////////////////////////////////////////////////////////////

static void print(FILE *fp, String s) {
  if (fp) {
    fwrite(s.c_str(), 1, s.size(), fp);
    return;
  }
  echo(s);
}
static void output_dynamic_constants(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$dynamic_constants = json_decode('");
  Array dynamic_constants;
  dynamic_constants.set("k_MW_DB", g->k_MW_DB);
  dynamic_constants.set("k_MW_PREFIX", g->k_MW_PREFIX);
  dynamic_constants.set("k_MW_ATTRIBS_REGEX", g->k_MW_ATTRIBS_REGEX);
  dynamic_constants.set("k_MEDIAWIKI", g->k_MEDIAWIKI);
  dynamic_constants.set("k_TESTWIKI", g->k_TESTWIKI);
  String s = f_json_encode(dynamic_constants);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_static_global_variables(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$static_global_variables = json_decode('");
  Array static_global_variables;
  static_global_variables.set("gv_argc", g->get("argc"));
  static_global_variables.set("gv_argv", g->get("argv"));
  static_global_variables.set("gv__SERVER", g->get("_SERVER"));
  static_global_variables.set("gv__GET", g->get("_GET"));
  static_global_variables.set("gv__POST", g->get("_POST"));
  static_global_variables.set("gv__COOKIE", g->get("_COOKIE"));
  static_global_variables.set("gv__FILES", g->get("_FILES"));
  static_global_variables.set("gv__ENV", g->get("_ENV"));
  static_global_variables.set("gv__REQUEST", g->get("_REQUEST"));
  static_global_variables.set("gv__SESSION", g->get("_SESSION"));
  static_global_variables.set("gv_HTTP_RAW_POST_DATA", g->get("HTTP_RAW_POST_DATA"));
  static_global_variables.set("gv_http_response_header", g->get("http_response_header"));
  static_global_variables.set("gv_wgMessageCache", g->get("wgMessageCache"));
  static_global_variables.set("gv_wgStyleDirectory", g->get("wgStyleDirectory"));
  static_global_variables.set("gv_wgRequest", g->get("wgRequest"));
  static_global_variables.set("gv_wgUser", g->get("wgUser"));
  static_global_variables.set("gv_wgLang", g->get("wgLang"));
  static_global_variables.set("gv_wgOut", g->get("wgOut"));
  static_global_variables.set("gv_wgParserConf", g->get("wgParserConf"));
  static_global_variables.set("gv_wgParser", g->get("wgParser"));
  static_global_variables.set("gv_wgDefaultUserOptions", g->get("wgDefaultUserOptions"));
  static_global_variables.set("gv_wgNamespacesToBeSearchedDefault", g->get("wgNamespacesToBeSearchedDefault"));
  static_global_variables.set("gv_wgIP", g->get("wgIP"));
  static_global_variables.set("gv_wgUsePrivateIPs", g->get("wgUsePrivateIPs"));
  static_global_variables.set("gv_wgSquidServers", g->get("wgSquidServers"));
  static_global_variables.set("gv_wgSquidServersNoPurge", g->get("wgSquidServersNoPurge"));
  static_global_variables.set("gv_wgBlockOpenProxies", g->get("wgBlockOpenProxies"));
  static_global_variables.set("gv_wgProxyPorts", g->get("wgProxyPorts"));
  static_global_variables.set("gv_wgProxyScriptPath", g->get("wgProxyScriptPath"));
  static_global_variables.set("gv_wgMemc", g->get("wgMemc"));
  static_global_variables.set("gv_wgProxyMemcExpiry", g->get("wgProxyMemcExpiry"));
  static_global_variables.set("gv_wgProxyKey", g->get("wgProxyKey"));
  static_global_variables.set("gv_wgProxyList", g->get("wgProxyList"));
  static_global_variables.set("gv_wgCanonicalNamespaceNames", g->get("wgCanonicalNamespaceNames"));
  static_global_variables.set("gv_wgExtraNamespaces", g->get("wgExtraNamespaces"));
  static_global_variables.set("gv_wgAllowImageMoving", g->get("wgAllowImageMoving"));
  static_global_variables.set("gv_wgContentNamespaces", g->get("wgContentNamespaces"));
  static_global_variables.set("gv_wgNamespacesWithSubpages", g->get("wgNamespacesWithSubpages"));
  static_global_variables.set("gv_wgContLang", g->get("wgContLang"));
  static_global_variables.set("gv_wgThumbLimits", g->get("wgThumbLimits"));
  static_global_variables.set("gv_wgThumbUpright", g->get("wgThumbUpright"));
  static_global_variables.set("gv_wgStylePath", g->get("wgStylePath"));
  static_global_variables.set("gv_wgEnableUploads", g->get("wgEnableUploads"));
  static_global_variables.set("gv_wgDisableAnonTalk", g->get("wgDisableAnonTalk"));
  static_global_variables.set("gv_wgSysopUserBans", g->get("wgSysopUserBans"));
  static_global_variables.set("gv_wgJsMimeType", g->get("wgJsMimeType"));
  static_global_variables.set("gv_wgTitle", g->get("wgTitle"));
  static_global_variables.set("gv_wgArticle", g->get("wgArticle"));
  static_global_variables.set("gv_wgScript", g->get("wgScript"));
  static_global_variables.set("gv_wgContLanguageCode", g->get("wgContLanguageCode"));
  static_global_variables.set("gv_wgMimeType", g->get("wgMimeType"));
  static_global_variables.set("gv_wgOutputEncoding", g->get("wgOutputEncoding"));
  static_global_variables.set("gv_wgXhtmlDefaultNamespace", g->get("wgXhtmlDefaultNamespace"));
  static_global_variables.set("gv_wgXhtmlNamespaces", g->get("wgXhtmlNamespaces"));
  static_global_variables.set("gv_wgDisableCounters", g->get("wgDisableCounters"));
  static_global_variables.set("gv_wgLogo", g->get("wgLogo"));
  static_global_variables.set("gv_wgHideInterlanguageLinks", g->get("wgHideInterlanguageLinks"));
  static_global_variables.set("gv_wgMaxCredits", g->get("wgMaxCredits"));
  static_global_variables.set("gv_wgShowCreditsIfMax", g->get("wgShowCreditsIfMax"));
  static_global_variables.set("gv_wgPageShowWatchingUsers", g->get("wgPageShowWatchingUsers"));
  static_global_variables.set("gv_wgUseTrackbacks", g->get("wgUseTrackbacks"));
  static_global_variables.set("gv_wgUseSiteJs", g->get("wgUseSiteJs"));
  static_global_variables.set("gv_wgArticlePath", g->get("wgArticlePath"));
  static_global_variables.set("gv_wgScriptPath", g->get("wgScriptPath"));
  static_global_variables.set("gv_wgServer", g->get("wgServer"));
  static_global_variables.set("gv_wgDisableLangConversion", g->get("wgDisableLangConversion"));
  static_global_variables.set("gv_wgUploadNavigationUrl", g->get("wgUploadNavigationUrl"));
  static_global_variables.set("gv_wgHandheldStyle", g->get("wgHandheldStyle"));
  static_global_variables.set("gv_wgStyleVersion", g->get("wgStyleVersion"));
  static_global_variables.set("gv_wgUseTwoButtonsSearchForm", g->get("wgUseTwoButtonsSearchForm"));
  static_global_variables.set("gv_wgValidSkinNames", g->get("wgValidSkinNames"));
  static_global_variables.set("gv_wgSkipSkins", g->get("wgSkipSkins"));
  static_global_variables.set("gv_wgDefaultSkin", g->get("wgDefaultSkin"));
  static_global_variables.set("gv_wgFavicon", g->get("wgFavicon"));
  static_global_variables.set("gv_wgAppleTouchIcon", g->get("wgAppleTouchIcon"));
  static_global_variables.set("gv_wgEnableDublinCoreRdf", g->get("wgEnableDublinCoreRdf"));
  static_global_variables.set("gv_wgEnableCreativeCommonsRdf", g->get("wgEnableCreativeCommonsRdf"));
  static_global_variables.set("gv_wgRightsPage", g->get("wgRightsPage"));
  static_global_variables.set("gv_wgRightsUrl", g->get("wgRightsUrl"));
  static_global_variables.set("gv_wgDebugComments", g->get("wgDebugComments"));
  static_global_variables.set("gv_wgBreakFrames", g->get("wgBreakFrames"));
  static_global_variables.set("gv_wgVariantArticlePath", g->get("wgVariantArticlePath"));
  static_global_variables.set("gv_wgActionPaths", g->get("wgActionPaths"));
  static_global_variables.set("gv_wgUseAjax", g->get("wgUseAjax"));
  static_global_variables.set("gv_wgAjaxWatch", g->get("wgAjaxWatch"));
  static_global_variables.set("gv_wgVersion", g->get("wgVersion"));
  static_global_variables.set("gv_wgEnableAPI", g->get("wgEnableAPI"));
  static_global_variables.set("gv_wgEnableWriteAPI", g->get("wgEnableWriteAPI"));
  static_global_variables.set("gv_wgRestrictionTypes", g->get("wgRestrictionTypes"));
  static_global_variables.set("gv_wgLivePreview", g->get("wgLivePreview"));
  static_global_variables.set("gv_wgMWSuggestTemplate", g->get("wgMWSuggestTemplate"));
  static_global_variables.set("gv_wgDBname", g->get("wgDBname"));
  static_global_variables.set("gv_wgEnableMWSuggest", g->get("wgEnableMWSuggest"));
  static_global_variables.set("gv_wgAllowUserCss", g->get("wgAllowUserCss"));
  static_global_variables.set("gv_wgUseSiteCss", g->get("wgUseSiteCss"));
  static_global_variables.set("gv_wgSquidMaxage", g->get("wgSquidMaxage"));
  static_global_variables.set("gv_wgUseCategoryBrowser", g->get("wgUseCategoryBrowser"));
  static_global_variables.set("gv_wgShowDebug", g->get("wgShowDebug"));
  static_global_variables.set("gv_action", g->get("action"));
  static_global_variables.set("gv_wgFeedClasses", g->get("wgFeedClasses"));
  static_global_variables.set("gv_wgExtraSubtitle", g->get("wgExtraSubtitle"));
  static_global_variables.set("gv_wgShowIPinHeader", g->get("wgShowIPinHeader"));
  static_global_variables.set("gv_wgRightsText", g->get("wgRightsText"));
  static_global_variables.set("gv_wgRightsIcon", g->get("wgRightsIcon"));
  static_global_variables.set("gv_wgCopyrightIcon", g->get("wgCopyrightIcon"));
  static_global_variables.set("gv_wgRedirectScript", g->get("wgRedirectScript"));
  static_global_variables.set("gv_parserMemc", g->get("parserMemc"));
  static_global_variables.set("gv_wgEnableSidebarCache", g->get("wgEnableSidebarCache"));
  static_global_variables.set("gv_wgSidebarCacheExpiry", g->get("wgSidebarCacheExpiry"));
  static_global_variables.set("gv_wgAntiLockFlags", g->get("wgAntiLockFlags"));
  static_global_variables.set("gv_wgAutoblockExpiry", g->get("wgAutoblockExpiry"));
  static_global_variables.set("gv_wgMaxNameChars", g->get("wgMaxNameChars"));
  static_global_variables.set("gv_wgReservedUsernames", g->get("wgReservedUsernames"));
  static_global_variables.set("gv_wgMinimalPasswordLength", g->get("wgMinimalPasswordLength"));
  static_global_variables.set("gv_wgAuth", g->get("wgAuth"));
  static_global_variables.set("gv_wgCookiePrefix", g->get("wgCookiePrefix"));
  static_global_variables.set("gv_wgUseRCPatrol", g->get("wgUseRCPatrol"));
  static_global_variables.set("gv_wgEnableSorbs", g->get("wgEnableSorbs"));
  static_global_variables.set("gv_wgProxyWhitelist", g->get("wgProxyWhitelist"));
  static_global_variables.set("gv_wgSorbsUrl", g->get("wgSorbsUrl"));
  static_global_variables.set("gv_wgRateLimitsExcludedGroups", g->get("wgRateLimitsExcludedGroups"));
  static_global_variables.set("gv_wgRateLimitsExcludedIPs", g->get("wgRateLimitsExcludedIPs"));
  static_global_variables.set("gv_wgRateLimits", g->get("wgRateLimits"));
  static_global_variables.set("gv_wgRateLimitLog", g->get("wgRateLimitLog"));
  static_global_variables.set("gv_wgBlockAllowsUTEdit", g->get("wgBlockAllowsUTEdit"));
  static_global_variables.set("gv_wgClockSkewFudge", g->get("wgClockSkewFudge"));
  static_global_variables.set("gv_wgSecretKey", g->get("wgSecretKey"));
  static_global_variables.set("gv_wgPasswordReminderResendTime", g->get("wgPasswordReminderResendTime"));
  static_global_variables.set("gv_wgUseNPPatrol", g->get("wgUseNPPatrol"));
  static_global_variables.set("gv_wgAllowUserSkin", g->get("wgAllowUserSkin"));
  static_global_variables.set("gv_wgUseEnotif", g->get("wgUseEnotif"));
  static_global_variables.set("gv_wgShowUpdatedMarker", g->get("wgShowUpdatedMarker"));
  static_global_variables.set("gv_wgUseDynamicDates", g->get("wgUseDynamicDates"));
  static_global_variables.set("gv_wgRenderHashAppend", g->get("wgRenderHashAppend"));
  static_global_variables.set("gv_wgActiveUserEditCount", g->get("wgActiveUserEditCount"));
  static_global_variables.set("gv_wgActiveUserDays", g->get("wgActiveUserDays"));
  static_global_variables.set("gv_wgNewPasswordExpiry", g->get("wgNewPasswordExpiry"));
  static_global_variables.set("gv_wgPasswordSender", g->get("wgPasswordSender"));
  static_global_variables.set("gv_wgEnableEmail", g->get("wgEnableEmail"));
  static_global_variables.set("gv_wgEnableUserEmail", g->get("wgEnableUserEmail"));
  static_global_variables.set("gv_wgEmailAuthentication", g->get("wgEmailAuthentication"));
  static_global_variables.set("gv_wgGroupPermissions", g->get("wgGroupPermissions"));
  static_global_variables.set("gv_wgAvailableRights", g->get("wgAvailableRights"));
  static_global_variables.set("gv_wgImplicitGroups", g->get("wgImplicitGroups"));
  static_global_variables.set("gv_wgPasswordSalt", g->get("wgPasswordSalt"));
  static_global_variables.set("gv_wgNewUserLog", g->get("wgNewUserLog"));
  static_global_variables.set("gv_wgCommandLineMode", g->get("wgCommandLineMode"));
  static_global_variables.set("gv_wgUseTeX", g->get("wgUseTeX"));
  static_global_variables.set("gv_wgInterwikiMagic", g->get("wgInterwikiMagic"));
  static_global_variables.set("gv_wgAllowExternalImages", g->get("wgAllowExternalImages"));
  static_global_variables.set("gv_wgAllowExternalImagesFrom", g->get("wgAllowExternalImagesFrom"));
  static_global_variables.set("gv_wgEnableImageWhitelist", g->get("wgEnableImageWhitelist"));
  static_global_variables.set("gv_wgAllowSpecialInclusion", g->get("wgAllowSpecialInclusion"));
  static_global_variables.set("gv_wgMaxArticleSize", g->get("wgMaxArticleSize"));
  static_global_variables.set("gv_wgMaxPPNodeCount", g->get("wgMaxPPNodeCount"));
  static_global_variables.set("gv_wgMaxTemplateDepth", g->get("wgMaxTemplateDepth"));
  static_global_variables.set("gv_wgMaxPPExpandDepth", g->get("wgMaxPPExpandDepth"));
  static_global_variables.set("gv_wgCleanSignatures", g->get("wgCleanSignatures"));
  static_global_variables.set("gv_wgExternalLinkTarget", g->get("wgExternalLinkTarget"));
  static_global_variables.set("gv_wgProfiler", g->get("wgProfiler"));
  static_global_variables.set("gv_wgDebugFunctionEntry", g->get("wgDebugFunctionEntry"));
  static_global_variables.set("gv_wgDebugProfiling", g->get("wgDebugProfiling"));
  static_global_variables.set("gv_wgProfileToDatabase", g->get("wgProfileToDatabase"));
  static_global_variables.set("gv_wgLanguageNames", g->get("wgLanguageNames"));
  static_global_variables.set("gv_wgInputEncoding", g->get("wgInputEncoding"));
  static_global_variables.set("gv_IP", g->get("IP"));
  static_global_variables.set("gv_wgExtraLanguageNames", g->get("wgExtraLanguageNames"));
  static_global_variables.set("gv_wgLocalTZoffset", g->get("wgLocalTZoffset"));
  static_global_variables.set("gv_wgDBtype", g->get("wgDBtype"));
  static_global_variables.set("gv_wgEditEncoding", g->get("wgEditEncoding"));
  static_global_variables.set("gv_wgExtensionAliasesFiles", g->get("wgExtensionAliasesFiles"));
  static_global_variables.set("gv_wgTranslateNumerals", g->get("wgTranslateNumerals"));
  static_global_variables.set("gv_wgGrammarForms", g->get("wgGrammarForms"));
  static_global_variables.set("gv_wgEnableSerializedMessages", g->get("wgEnableSerializedMessages"));
  static_global_variables.set("gv_wgCheckSerialized", g->get("wgCheckSerialized"));
  static_global_variables.set("gv_wgMetaNamespace", g->get("wgMetaNamespace"));
  static_global_variables.set("gv_wgMetaNamespaceTalk", g->get("wgMetaNamespaceTalk"));
  static_global_variables.set("gv_wgNamespaceAliases", g->get("wgNamespaceAliases"));
  static_global_variables.set("gv_wgAmericanDates", g->get("wgAmericanDates"));
  static_global_variables.set("gv_wgFullyInitialised", g->get("wgFullyInitialised"));
  static_global_variables.set("gv_wgExceptionHooks", g->get("wgExceptionHooks"));
  static_global_variables.set("gv_wgShowExceptionDetails", g->get("wgShowExceptionDetails"));
  static_global_variables.set("gv_wgSitename", g->get("wgSitename"));
  static_global_variables.set("gv_utfCombiningClass", g->get("utfCombiningClass"));
  static_global_variables.set("gv_utfCanonicalComp", g->get("utfCanonicalComp"));
  static_global_variables.set("gv_utfCanonicalDecomp", g->get("utfCanonicalDecomp"));
  static_global_variables.set("gv_utfCompatibilityDecomp", g->get("utfCompatibilityDecomp"));
  static_global_variables.set("gv_utfCheckNFC", g->get("utfCheckNFC"));
  static_global_variables.set("gv_attrib", g->get("attrib"));
  static_global_variables.set("gv_space", g->get("space"));
  static_global_variables.set("gv_wgHtmlEntities", g->get("wgHtmlEntities"));
  static_global_variables.set("gv_wgHtmlEntityAliases", g->get("wgHtmlEntityAliases"));
  static_global_variables.set("gv_wgUseTidy", g->get("wgUseTidy"));
  static_global_variables.set("gv_wgEnforceHtmlIds", g->get("wgEnforceHtmlIds"));
  static_global_variables.set("gv_wgLegacyEncoding", g->get("wgLegacyEncoding"));
  static_global_variables.set("gv_wgCompressRevisions", g->get("wgCompressRevisions"));
  static_global_variables.set("gv_wgDefaultExternalStore", g->get("wgDefaultExternalStore"));
  static_global_variables.set("gv_wgRevisionCacheExpiry", g->get("wgRevisionCacheExpiry"));
  static_global_variables.set("gv_wgCacheEpoch", g->get("wgCacheEpoch"));
  static_global_variables.set("gv_wgLocalInterwiki", g->get("wgLocalInterwiki"));
  static_global_variables.set("gv_wgPutIPinRC", g->get("wgPutIPinRC"));
  static_global_variables.set("gv_wgRC2UDPAddress", g->get("wgRC2UDPAddress"));
  static_global_variables.set("gv_wgRC2UDPOmitBots", g->get("wgRC2UDPOmitBots"));
  static_global_variables.set("gv_wgRC2UDPPrefix", g->get("wgRC2UDPPrefix"));
  static_global_variables.set("gv_wgRC2UDPPort", g->get("wgRC2UDPPort"));
  static_global_variables.set("gv_wgLogRestrictions", g->get("wgLogRestrictions"));
  static_global_variables.set("gv_wgRC2UDPInterwikiPrefix", g->get("wgRC2UDPInterwikiPrefix"));
  static_global_variables.set("gv_wgUseDumbLinkUpdate", g->get("wgUseDumbLinkUpdate"));
  static_global_variables.set("gv_wgUpdateRowsPerJob", g->get("wgUpdateRowsPerJob"));
  static_global_variables.set("gv_wgPagePropLinkInvalidations", g->get("wgPagePropLinkInvalidations"));
  static_global_variables.set("gv_wgUseCommaCount", g->get("wgUseCommaCount"));
  static_global_variables.set("gv_wgEnableParserCache", g->get("wgEnableParserCache"));
  static_global_variables.set("gv_wgNamespaceRobotPolicies", g->get("wgNamespaceRobotPolicies"));
  static_global_variables.set("gv_wgArticleRobotPolicies", g->get("wgArticleRobotPolicies"));
  static_global_variables.set("gv_wgDefaultRobotPolicy", g->get("wgDefaultRobotPolicy"));
  static_global_variables.set("gv_wgUseETag", g->get("wgUseETag"));
  static_global_variables.set("gv_wgRedirectSources", g->get("wgRedirectSources"));
  static_global_variables.set("gv_wgUseSquid", g->get("wgUseSquid"));
  static_global_variables.set("gv_wgDBtransactions", g->get("wgDBtransactions"));
  static_global_variables.set("gv_wgUseAutomaticEditSummaries", g->get("wgUseAutomaticEditSummaries"));
  static_global_variables.set("gv_wgDeleteRevisionsLimit", g->get("wgDeleteRevisionsLimit"));
  static_global_variables.set("gv_wgDeferredUpdateList", g->get("wgDeferredUpdateList"));
  static_global_variables.set("gv_wgRCMaxAge", g->get("wgRCMaxAge"));
  static_global_variables.set("gv_wgHitcounterUpdateFreq", g->get("wgHitcounterUpdateFreq"));
  static_global_variables.set("gv_wgAllowPageInfo", g->get("wgAllowPageInfo"));
  static_global_variables.set("gv_wgUseFileCache", g->get("wgUseFileCache"));
  static_global_variables.set("gv_wgLegalTitleChars", g->get("wgLegalTitleChars"));
  static_global_variables.set("gv_wgMaxRedirects", g->get("wgMaxRedirects"));
  static_global_variables.set("gv_wgInternalServer", g->get("wgInternalServer"));
  static_global_variables.set("gv_wgRestrictionLevels", g->get("wgRestrictionLevels"));
  static_global_variables.set("gv_wgNamespaceProtection", g->get("wgNamespaceProtection"));
  static_global_variables.set("gv_wgEmailConfirmToEdit", g->get("wgEmailConfirmToEdit"));
  static_global_variables.set("gv_wgWhitelistRead", g->get("wgWhitelistRead"));
  static_global_variables.set("gv_wgCapitalLinks", g->get("wgCapitalLinks"));
  static_global_variables.set("gv_wgMaximumMovedPages", g->get("wgMaximumMovedPages"));
  static_global_variables.set("gv_wgInvalidRedirectTargets", g->get("wgInvalidRedirectTargets"));
  static_global_variables.set("gv_wgHooks", g->get("wgHooks"));
  static_global_variables.set("gv_wgDebugLogFile", g->get("wgDebugLogFile"));
  static_global_variables.set("gv_wgProfileOnly", g->get("wgProfileOnly"));
  static_global_variables.set("gv_wgDebugRawPage", g->get("wgDebugRawPage"));
  static_global_variables.set("gv_wgDebugLogPrefix", g->get("wgDebugLogPrefix"));
  static_global_variables.set("gv_wgDebugLogGroups", g->get("wgDebugLogGroups"));
  static_global_variables.set("gv_wgShowHostnames", g->get("wgShowHostnames"));
  static_global_variables.set("gv_wgDBerrorLog", g->get("wgDBerrorLog"));
  static_global_variables.set("gv_wgRequestTime", g->get("wgRequestTime"));
  static_global_variables.set("gv_wgProfileLimit", g->get("wgProfileLimit"));
  static_global_variables.set("gv_wgReadOnlyFile", g->get("wgReadOnlyFile"));
  static_global_variables.set("gv_wgReadOnly", g->get("wgReadOnly"));
  static_global_variables.set("gv_wgForceUIMsgAsContentMsg", g->get("wgForceUIMsgAsContentMsg"));
  static_global_variables.set("gv_wgUseGzip", g->get("wgUseGzip"));
  static_global_variables.set("gv_wgDiff3", g->get("wgDiff3"));
  static_global_variables.set("gv_wgDiff", g->get("wgDiff"));
  static_global_variables.set("gv_wgDisableOutputCompression", g->get("wgDisableOutputCompression"));
  static_global_variables.set("gv_wgSiteNotice", g->get("wgSiteNotice"));
  static_global_variables.set("gv_wgDirectoryMode", g->get("wgDirectoryMode"));
  static_global_variables.set("gv_wgStatsMethod", g->get("wgStatsMethod"));
  static_global_variables.set("gv_wgUDPProfilerHost", g->get("wgUDPProfilerHost"));
  static_global_variables.set("gv_wgUDPProfilerPort", g->get("wgUDPProfilerPort"));
  static_global_variables.set("gv_wgUrlProtocols", g->get("wgUrlProtocols"));
  static_global_variables.set("gv_wgMaxShellMemory", g->get("wgMaxShellMemory"));
  static_global_variables.set("gv_wgMaxShellFileSize", g->get("wgMaxShellFileSize"));
  static_global_variables.set("gv_wgMaxShellTime", g->get("wgMaxShellTime"));
  static_global_variables.set("gv_wgShellLocale", g->get("wgShellLocale"));
  static_global_variables.set("gv_wgPostCommitUpdateList", g->get("wgPostCommitUpdateList"));
  static_global_variables.set("gv_wgHttpOnlyBlacklist", g->get("wgHttpOnlyBlacklist"));
  static_global_variables.set("gv_wgSessionsInMemcached", g->get("wgSessionsInMemcached"));
  static_global_variables.set("gv_wgCookiePath", g->get("wgCookiePath"));
  static_global_variables.set("gv_wgCookieDomain", g->get("wgCookieDomain"));
  static_global_variables.set("gv_wgCookieSecure", g->get("wgCookieSecure"));
  static_global_variables.set("gv_wgCookieHttpOnly", g->get("wgCookieHttpOnly"));
  static_global_variables.set("gv_wgDBprefix", g->get("wgDBprefix"));
  static_global_variables.set("gv_wgMiserMode", g->get("wgMiserMode"));
  static_global_variables.set("gv_wgScriptExtension", g->get("wgScriptExtension"));
  static_global_variables.set("gv_wgExtensionMessagesFiles", g->get("wgExtensionMessagesFiles"));
  static_global_variables.set("gv_wgAllowDisplayTitle", g->get("wgAllowDisplayTitle"));
  static_global_variables.set("gv_wgAllowSlowParserFunctions", g->get("wgAllowSlowParserFunctions"));
  static_global_variables.set("gv_wgRestrictDisplayTitle", g->get("wgRestrictDisplayTitle"));
  static_global_variables.set("gv_wgLinkHolderBatchSize", g->get("wgLinkHolderBatchSize"));
  static_global_variables.set("gv_wgPreprocessorCacheThreshold", g->get("wgPreprocessorCacheThreshold"));
  static_global_variables.set("gv_wgAlwaysUseTidy", g->get("wgAlwaysUseTidy"));
  static_global_variables.set("gv_wgExpensiveParserFunctionLimit", g->get("wgExpensiveParserFunctionLimit"));
  static_global_variables.set("gv_wgRawHtml", g->get("wgRawHtml"));
  static_global_variables.set("gv_wgNoFollowLinks", g->get("wgNoFollowLinks"));
  static_global_variables.set("gv_wgNoFollowNsExceptions", g->get("wgNoFollowNsExceptions"));
  static_global_variables.set("gv_wgNoFollowDomainExceptions", g->get("wgNoFollowDomainExceptions"));
  static_global_variables.set("gv_wgServerName", g->get("wgServerName"));
  static_global_variables.set("gv_wgLocaltimezone", g->get("wgLocaltimezone"));
  static_global_variables.set("gv_wgNonincludableNamespaces", g->get("wgNonincludableNamespaces"));
  static_global_variables.set("gv_wgEnableScaryTranscluding", g->get("wgEnableScaryTranscluding"));
  static_global_variables.set("gv_wgTranscludeCacheExpiry", g->get("wgTranscludeCacheExpiry"));
  static_global_variables.set("gv_wgMaxTocLevel", g->get("wgMaxTocLevel"));
  static_global_variables.set("gv_wgMaxSigChars", g->get("wgMaxSigChars"));
  static_global_variables.set("gv_wgCategoryPrefixedDefaultSortkey", g->get("wgCategoryPrefixedDefaultSortkey"));
  static_global_variables.set("gv___Test", g->get("__Test"));
  static_global_variables.set("gv_options", g->get("options"));
  static_global_variables.set("gv_optionsWithArgs", g->get("optionsWithArgs"));
  static_global_variables.set("gv_self", g->get("self"));
  static_global_variables.set("gv_args", g->get("args"));
  static_global_variables.set("gv_arg", g->get("arg"));
  static_global_variables.set("gv_option", g->get("option"));
  static_global_variables.set("gv_param", g->get("param"));
  static_global_variables.set("gv_bits", g->get("bits"));
  static_global_variables.set("gv_p", g->get("p"));
  static_global_variables.set("gv_sep", g->get("sep"));
  static_global_variables.set("gv_wgUseNormalUser", g->get("wgUseNormalUser"));
  static_global_variables.set("gv_wgWikiFarm", g->get("wgWikiFarm"));
  static_global_variables.set("gv_cluster", g->get("cluster"));
  static_global_variables.set("gv_wgConf", g->get("wgConf"));
  static_global_variables.set("gv_wgLocalDatabases", g->get("wgLocalDatabases"));
  static_global_variables.set("gv_wgNoDBParam", g->get("wgNoDBParam"));
  static_global_variables.set("gv_db", g->get("db"));
  static_global_variables.set("gv_site", g->get("site"));
  static_global_variables.set("gv_lang", g->get("lang"));
  static_global_variables.set("gv_DP", g->get("DP"));
  static_global_variables.set("gv_fname", g->get("fname"));
  static_global_variables.set("gv_hatesSafari", g->get("hatesSafari"));
  static_global_variables.set("gv_secure", g->get("secure"));
  static_global_variables.set("gv_pathBits", g->get("pathBits"));
  static_global_variables.set("gv_m", g->get("m"));
  static_global_variables.set("gv_server", g->get("server"));
  static_global_variables.set("gv_docRoot", g->get("docRoot"));
  static_global_variables.set("gv_matches", g->get("matches"));
  static_global_variables.set("gv_dbSuffix", g->get("dbSuffix"));
  static_global_variables.set("gv_filename", g->get("filename"));
  static_global_variables.set("gv_globals", g->get("globals"));
  static_global_variables.set("gv_cacheRecord", g->get("cacheRecord"));
  static_global_variables.set("gv_wikiTags", g->get("wikiTags"));
  static_global_variables.set("gv_tag", g->get("tag"));
  static_global_variables.set("gv_dblist", g->get("dblist"));
  static_global_variables.set("gv_oldUmask", g->get("oldUmask"));
  static_global_variables.set("gv_file", g->get("file"));
  static_global_variables.set("gv_wgStyleSheetPath", g->get("wgStyleSheetPath"));
  static_global_variables.set("gv_wgStockPath", g->get("wgStockPath"));
  static_global_variables.set("gv_wgFileStore", g->get("wgFileStore"));
  static_global_variables.set("gv_wgSharedThumbnailScriptPath", g->get("wgSharedThumbnailScriptPath"));
  static_global_variables.set("gv_wgUploadPath", g->get("wgUploadPath"));
  static_global_variables.set("gv_wgUploadDirectory", g->get("wgUploadDirectory"));
  static_global_variables.set("gv_tmarray", g->get("tmarray"));
  static_global_variables.set("gv_hour", g->get("hour"));
  static_global_variables.set("gv_day", g->get("day"));
  static_global_variables.set("gv_wgEmergencyContact", g->get("wgEmergencyContact"));
  static_global_variables.set("gv_wgHTCPMulticastAddress", g->get("wgHTCPMulticastAddress"));
  static_global_variables.set("gv_wgHTCPMulticastTTL", g->get("wgHTCPMulticastTTL"));
  static_global_variables.set("gv_wgCheckDBSchema", g->get("wgCheckDBSchema"));
  static_global_variables.set("gv_oldtz", g->get("oldtz"));
  static_global_variables.set("gv_wgTexvc", g->get("wgTexvc"));
  static_global_variables.set("gv_wgTmpDirectory", g->get("wgTmpDirectory"));
  static_global_variables.set("gv_wgDisableTextSearch", g->get("wgDisableTextSearch"));
  static_global_variables.set("gv_wgDisableSearchUpdate", g->get("wgDisableSearchUpdate"));
  static_global_variables.set("gv_wgUseImageResize", g->get("wgUseImageResize"));
  static_global_variables.set("gv_wgUseImageMagick", g->get("wgUseImageMagick"));
  static_global_variables.set("gv_wgImageMagickConvertCommand", g->get("wgImageMagickConvertCommand"));
  static_global_variables.set("gv_wgFileBlacklist", g->get("wgFileBlacklist"));
  static_global_variables.set("gv_wgFileExtensions", g->get("wgFileExtensions"));
  static_global_variables.set("gv_wmgPrivateWikiUploads", g->get("wmgPrivateWikiUploads"));
  static_global_variables.set("gv_wgMimeTypeBlacklist", g->get("wgMimeTypeBlacklist"));
  static_global_variables.set("gv_wgSVGConverters", g->get("wgSVGConverters"));
  static_global_variables.set("gv_wgAllowUserJs", g->get("wgAllowUserJs"));
  static_global_variables.set("gv_wgUseESI", g->get("wgUseESI"));
  static_global_variables.set("gv_wgLogQueries", g->get("wgLogQueries"));
  static_global_variables.set("gv_wgSqlLogFile", g->get("wgSqlLogFile"));
  static_global_variables.set("gv_wmgUseDualLicense", g->get("wmgUseDualLicense"));
  static_global_variables.set("gv_wgProfiling", g->get("wgProfiling"));
  static_global_variables.set("gv_wgProfileSampleRate", g->get("wgProfileSampleRate"));
  static_global_variables.set("gv_wgSiteMatrixFile", g->get("wgSiteMatrixFile"));
  static_global_variables.set("gv_wgMaxIfExistCount", g->get("wgMaxIfExistCount"));
  static_global_variables.set("gv_wmgUseFlaggedRevs", g->get("wmgUseFlaggedRevs"));
  static_global_variables.set("gv_wgCategoryTreeDynamicTag", g->get("wgCategoryTreeDynamicTag"));
  static_global_variables.set("gv_wmgUseProofreadPage", g->get("wmgUseProofreadPage"));
  static_global_variables.set("gv_wmgUseLST", g->get("wmgUseLST"));
  static_global_variables.set("gv_wmgUseSpamBlacklist", g->get("wmgUseSpamBlacklist"));
  static_global_variables.set("gv_wgTitleBlacklistSources", g->get("wgTitleBlacklistSources"));
  static_global_variables.set("gv_wmgUseQuiz", g->get("wmgUseQuiz"));
  static_global_variables.set("gv_wmgUseGadgets", g->get("wmgUseGadgets"));
  static_global_variables.set("gv_wgFFmpegLocation", g->get("wgFFmpegLocation"));
  static_global_variables.set("gv_wgCortadoJarFile", g->get("wgCortadoJarFile"));
  static_global_variables.set("gv_wgContactUser", g->get("wgContactUser"));
  static_global_variables.set("gv_wgExtDistTarDir", g->get("wgExtDistTarDir"));
  static_global_variables.set("gv_wgExtDistTarUrl", g->get("wgExtDistTarUrl"));
  static_global_variables.set("gv_wgExtDistWorkingCopy", g->get("wgExtDistWorkingCopy"));
  static_global_variables.set("gv_wgExtDistRemoteClient", g->get("wgExtDistRemoteClient"));
  static_global_variables.set("gv_wgExtDistBranches", g->get("wgExtDistBranches"));
  static_global_variables.set("gv_wgGlobalBlockingDatabase", g->get("wgGlobalBlockingDatabase"));
  static_global_variables.set("gv_wmgApplyGlobalBlocks", g->get("wmgApplyGlobalBlocks"));
  static_global_variables.set("gv_wgApplyGlobalBlocks", g->get("wgApplyGlobalBlocks"));
  static_global_variables.set("gv_wgTrustedXffFile", g->get("wgTrustedXffFile"));
  static_global_variables.set("gv_wmgContactPageConf", g->get("wmgContactPageConf"));
  static_global_variables.set("gv_ubUploadBlacklist", g->get("ubUploadBlacklist"));
  static_global_variables.set("gv_wgTimelineSettings", g->get("wgTimelineSettings"));
  static_global_variables.set("gv_wgAllowRealName", g->get("wgAllowRealName"));
  static_global_variables.set("gv_wgSysopRangeBans", g->get("wgSysopRangeBans"));
  static_global_variables.set("gv_wgUploadSizeWarning", g->get("wgUploadSizeWarning"));
  static_global_variables.set("gv_wgForeignFileRepos", g->get("wgForeignFileRepos"));
  static_global_variables.set("gv_title", g->get("title"));
  static_global_variables.set("gv_wgUseHashTable", g->get("wgUseHashTable"));
  static_global_variables.set("gv_wgLanguageCode", g->get("wgLanguageCode"));
  static_global_variables.set("gv_wgLanguageCodeReal", g->get("wgLanguageCodeReal"));
  static_global_variables.set("gv_wgUseLuceneSearch", g->get("wgUseLuceneSearch"));
  static_global_variables.set("gv_wgMaxSquidPurgeTitles", g->get("wgMaxSquidPurgeTitles"));
  static_global_variables.set("gv_wgThumbnailEpoch", g->get("wgThumbnailEpoch"));
  static_global_variables.set("gv_oaiAgentRegex", g->get("oaiAgentRegex"));
  static_global_variables.set("gv_oaiAuth", g->get("oaiAuth"));
  static_global_variables.set("gv_oaiAudit", g->get("oaiAudit"));
  static_global_variables.set("gv_oaiAuditDatabase", g->get("oaiAuditDatabase"));
  static_global_variables.set("gv_wgExtensionFunctions", g->get("wgExtensionFunctions"));
  static_global_variables.set("gv_wmgUseDPL", g->get("wmgUseDPL"));
  static_global_variables.set("gv_wmgUseSpecialNuke", g->get("wmgUseSpecialNuke"));
  static_global_variables.set("gv_wgAntiBotPayloads", g->get("wgAntiBotPayloads"));
  static_global_variables.set("gv_wgTorLoadNodes", g->get("wgTorLoadNodes"));
  static_global_variables.set("gv_wgTorIPs", g->get("wgTorIPs"));
  static_global_variables.set("gv_wgTorAutoConfirmAge", g->get("wgTorAutoConfirmAge"));
  static_global_variables.set("gv_wgTorAutoConfirmCount", g->get("wgTorAutoConfirmCount"));
  static_global_variables.set("gv_wgTorDisableAdminBlocks", g->get("wgTorDisableAdminBlocks"));
  static_global_variables.set("gv_wgTorTagChanges", g->get("wgTorTagChanges"));
  static_global_variables.set("gv_wgDisabledActions", g->get("wgDisabledActions"));
  static_global_variables.set("gv_wgDisableHardRedirects", g->get("wgDisableHardRedirects"));
  static_global_variables.set("gv_groupOverrides2", g->get("groupOverrides2"));
  static_global_variables.set("gv_group", g->get("group"));
  static_global_variables.set("gv_permissions", g->get("permissions"));
  static_global_variables.set("gv_groupOverrides", g->get("groupOverrides"));
  static_global_variables.set("gv_wmgAutopromoteExtraGroups", g->get("wmgAutopromoteExtraGroups"));
  static_global_variables.set("gv_wgAutopromote", g->get("wgAutopromote"));
  static_global_variables.set("gv_wmgExtraImplicitGroups", g->get("wmgExtraImplicitGroups"));
  static_global_variables.set("gv_wgLegacySchemaConversion", g->get("wgLegacySchemaConversion"));
  static_global_variables.set("gv_wgHTTPTimeout", g->get("wgHTTPTimeout"));
  static_global_variables.set("gv_wgDebugDumpSql", g->get("wgDebugDumpSql"));
  static_global_variables.set("gv_wgDBservers", g->get("wgDBservers"));
  static_global_variables.set("gv_key", g->get("key"));
  static_global_variables.set("gv_val", g->get("val"));
  static_global_variables.set("gv_wgDBserver", g->get("wgDBserver"));
  static_global_variables.set("gv_wgExternalServers", g->get("wgExternalServers"));
  static_global_variables.set("gv_x", g->get("x"));
  static_global_variables.set("gv_y", g->get("y"));
  static_global_variables.set("gv_wgBrowserBlackList", g->get("wgBrowserBlackList"));
  static_global_variables.set("gv_wgScanSetSettings", g->get("wgScanSetSettings"));
  static_global_variables.set("gv_wmgCaptchaPassword", g->get("wmgCaptchaPassword"));
  static_global_variables.set("gv_wmgEnableCaptcha", g->get("wmgEnableCaptcha"));
  static_global_variables.set("gv_wmgCaptchaSecret", g->get("wmgCaptchaSecret"));
  static_global_variables.set("gv_wgCaptchaSecret", g->get("wgCaptchaSecret"));
  static_global_variables.set("gv_wgCaptchaDirectory", g->get("wgCaptchaDirectory"));
  static_global_variables.set("gv_wgCaptchaDirectoryLevels", g->get("wgCaptchaDirectoryLevels"));
  static_global_variables.set("gv_wgCaptchaStorageClass", g->get("wgCaptchaStorageClass"));
  static_global_variables.set("gv_wgCaptchaClass", g->get("wgCaptchaClass"));
  static_global_variables.set("gv_wgCaptchaWhitelist", g->get("wgCaptchaWhitelist"));
  static_global_variables.set("gv_wgCaptchaRegexes", g->get("wgCaptchaRegexes"));
  static_global_variables.set("gv_wgCaptchaTriggers", g->get("wgCaptchaTriggers"));
  static_global_variables.set("gv_wmgEmergencyCaptcha", g->get("wmgEmergencyCaptcha"));
  static_global_variables.set("gv_wgExternalDiffEngine", g->get("wgExternalDiffEngine"));
  static_global_variables.set("gv_wgEnotifWatchlist", g->get("wgEnotifWatchlist"));
  static_global_variables.set("gv_wgEnotifUserTalk", g->get("wgEnotifUserTalk"));
  static_global_variables.set("gv_wgEnotifUseJobQ", g->get("wgEnotifUseJobQ"));
  static_global_variables.set("gv_sectionLoads", g->get("sectionLoads"));
  static_global_variables.set("gv_dbHostsByName", g->get("dbHostsByName"));
  static_global_variables.set("gv_wgAlternateMaster", g->get("wgAlternateMaster"));
  static_global_variables.set("gv_sectionsByDB", g->get("sectionsByDB"));
  static_global_variables.set("gv_section", g->get("section"));
  static_global_variables.set("gv_wmgUseCentralAuth", g->get("wmgUseCentralAuth"));
  static_global_variables.set("gv_wgCentralAuthDryRun", g->get("wgCentralAuthDryRun"));
  static_global_variables.set("gv_wgCentralAuthCookies", g->get("wgCentralAuthCookies"));
  static_global_variables.set("gv_wgCentralAuthUDPAddress", g->get("wgCentralAuthUDPAddress"));
  static_global_variables.set("gv_wgCentralAuthNew2UDPPrefix", g->get("wgCentralAuthNew2UDPPrefix"));
  static_global_variables.set("gv_wmgSecondLevelDomain", g->get("wmgSecondLevelDomain"));
  static_global_variables.set("gv_wgCentralAuthAutoLoginWikis", g->get("wgCentralAuthAutoLoginWikis"));
  static_global_variables.set("gv_wgCentralAuthCookieDomain", g->get("wgCentralAuthCookieDomain"));
  static_global_variables.set("gv_wmgCentralAuthLoginIcon", g->get("wmgCentralAuthLoginIcon"));
  static_global_variables.set("gv_wgCentralAuthLoginIcon", g->get("wgCentralAuthLoginIcon"));
  static_global_variables.set("gv_wgCentralAuthAutoNew", g->get("wgCentralAuthAutoNew"));
  static_global_variables.set("gv_wgCentralAuthCreateOnView", g->get("wgCentralAuthCreateOnView"));
  static_global_variables.set("gv_wgCentralAuthCookiePrefix", g->get("wgCentralAuthCookiePrefix"));
  static_global_variables.set("gv_wmgUseDismissableSiteNotice", g->get("wmgUseDismissableSiteNotice"));
  static_global_variables.set("gv_wgMajorSiteNoticeID", g->get("wgMajorSiteNoticeID"));
  static_global_variables.set("gv_wgImageMagickTempDir", g->get("wgImageMagickTempDir"));
  static_global_variables.set("gv_wgMediaHandlers", g->get("wgMediaHandlers"));
  static_global_variables.set("gv_wmgUseCentralNotice", g->get("wmgUseCentralNotice"));
  static_global_variables.set("gv_wgNoticeProjects", g->get("wgNoticeProjects"));
  static_global_variables.set("gv_wgNoticeCentralPath", g->get("wgNoticeCentralPath"));
  static_global_variables.set("gv_wgNoticeLocalPath", g->get("wgNoticeLocalPath"));
  static_global_variables.set("gv_wgNoticeCentralDirectory", g->get("wgNoticeCentralDirectory"));
  static_global_variables.set("gv_wgNoticeLocalDirectory", g->get("wgNoticeLocalDirectory"));
  static_global_variables.set("gv_wmgNoticeProject", g->get("wmgNoticeProject"));
  static_global_variables.set("gv_wgNoticeProject", g->get("wgNoticeProject"));
  static_global_variables.set("gv_wmgCentralNoticeLoader", g->get("wmgCentralNoticeLoader"));
  static_global_variables.set("gv_wgCentralNoticeLoader", g->get("wgCentralNoticeLoader"));
  static_global_variables.set("gv_wgNoticeTimeout", g->get("wgNoticeTimeout"));
  static_global_variables.set("gv_wgNoticeServerTimeout", g->get("wgNoticeServerTimeout"));
  static_global_variables.set("gv_wgNoticeCounterSource", g->get("wgNoticeCounterSource"));
  static_global_variables.set("gv_wgNoticeInfrastructure", g->get("wgNoticeInfrastructure"));
  static_global_variables.set("gv_wgNoticeScroll", g->get("wgNoticeScroll"));
  static_global_variables.set("gv_wmgUseTitleKey", g->get("wmgUseTitleKey"));
  static_global_variables.set("gv_wmgUseCollection", g->get("wmgUseCollection"));
  static_global_variables.set("gv_wgCollectionMWServeURL", g->get("wgCollectionMWServeURL"));
  static_global_variables.set("gv_wgCommunityCollectionNamespace", g->get("wgCommunityCollectionNamespace"));
  static_global_variables.set("gv_wgCollectionArticleNamespaces", g->get("wgCollectionArticleNamespaces"));
  static_global_variables.set("gv_wgCollectionFormats", g->get("wgCollectionFormats"));
  static_global_variables.set("gv_wgLicenseURL", g->get("wgLicenseURL"));
  static_global_variables.set("gv_wmgCollectionPortletForLoggedInUsersOnly", g->get("wmgCollectionPortletForLoggedInUsersOnly"));
  static_global_variables.set("gv_wgCollectionPortletForLoggedInUsersOnly", g->get("wgCollectionPortletForLoggedInUsersOnly"));
  static_global_variables.set("gv_wgAccountCreationThrottle", g->get("wgAccountCreationThrottle"));
  static_global_variables.set("gv_wmgUseNewUserMessage", g->get("wmgUseNewUserMessage"));
  static_global_variables.set("gv_wmgNewUserSuppressRC", g->get("wmgNewUserSuppressRC"));
  static_global_variables.set("gv_wgNewUserSuppressRC", g->get("wgNewUserSuppressRC"));
  static_global_variables.set("gv_wmgNewUserMinorEdit", g->get("wmgNewUserMinorEdit"));
  static_global_variables.set("gv_wgNewUserMinorEdit", g->get("wgNewUserMinorEdit"));
  static_global_variables.set("gv_wmgNewUserMessageOnAutoCreate", g->get("wmgNewUserMessageOnAutoCreate"));
  static_global_variables.set("gv_wgNewUserMessageOnAutoCreate", g->get("wgNewUserMessageOnAutoCreate"));
  static_global_variables.set("gv_wmgUseCodeReview", g->get("wmgUseCodeReview"));
  static_global_variables.set("gv_wgSubversionProxy", g->get("wgSubversionProxy"));
  static_global_variables.set("gv_wgCodeReviewENotif", g->get("wgCodeReviewENotif"));
  static_global_variables.set("gv_wmgUseDrafts", g->get("wmgUseDrafts"));
  static_global_variables.set("gv_wmgUseConfigure", g->get("wmgUseConfigure"));
  static_global_variables.set("gv_wgConfigureHandler", g->get("wgConfigureHandler"));
  static_global_variables.set("gv_wgConfigureDatabase", g->get("wgConfigureDatabase"));
  static_global_variables.set("gv_wgConfigureFileSystemCache", g->get("wgConfigureFileSystemCache"));
  static_global_variables.set("gv_wgConfigureEditableSettings", g->get("wgConfigureEditableSettings"));
  static_global_variables.set("gv_wgConfigureWikis", g->get("wgConfigureWikis"));
  static_global_variables.set("gv_wmgUseAbuseFilter", g->get("wmgUseAbuseFilter"));
  static_global_variables.set("gv_wgAbuseFilterAvailableActions", g->get("wgAbuseFilterAvailableActions"));
  static_global_variables.set("gv_bin", g->get("bin"));
  static_global_variables.set("gv_wgUseRootUser", g->get("wgUseRootUser"));
  static_global_variables.set("gv_wgDBadminuser", g->get("wgDBadminuser"));
  static_global_variables.set("gv_wgDBuser", g->get("wgDBuser"));
  static_global_variables.set("gv_wgDBadminpassword", g->get("wgDBadminpassword"));
  static_global_variables.set("gv_wgDBpassword", g->get("wgDBpassword"));
  static_global_variables.set("gv_adminSettings", g->get("adminSettings"));
  static_global_variables.set("gv_i", g->get("i"));
  static_global_variables.set("gv_wgLBFactoryConf", g->get("wgLBFactoryConf"));
  static_global_variables.set("gv_wgShowSQLErrors", g->get("wgShowSQLErrors"));
  static_global_variables.set("gv_wgCaches", g->get("wgCaches"));
  static_global_variables.set("gv_wgMemCachedServers", g->get("wgMemCachedServers"));
  static_global_variables.set("gv_wgMemCachedDebug", g->get("wgMemCachedDebug"));
  static_global_variables.set("gv_wgMemCachedPersistent", g->get("wgMemCachedPersistent"));
  static_global_variables.set("gv_wgMainCacheType", g->get("wgMainCacheType"));
  static_global_variables.set("gv_wgMessageCacheType", g->get("wgMessageCacheType"));
  static_global_variables.set("gv_wgParserCacheType", g->get("wgParserCacheType"));
  static_global_variables.set("gv_wgCommandLineDarkBg", g->get("wgCommandLineDarkBg"));
  static_global_variables.set("gv_tester", g->get("tester"));
  static_global_variables.set("gv_wgParserTestFiles", g->get("wgParserTestFiles"));
  String s = f_json_encode(static_global_variables);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_dynamic_global_variables(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$dynamic_global_variables = json_decode('");
  Array dynamic_global_variables;
  dynamic_global_variables = *get_variable_table();
  String s = f_json_encode(dynamic_global_variables);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_method_static_variables(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$method_static_variables = json_decode('");
  Array method_static_variables;
  method_static_variables.set("sv_title$$secureandsplit$$rxTc", g->sv_title$$secureandsplit$$rxTc);
  method_static_variables.set("sv_wfout$$lineStarted", g->sv_wfout$$lineStarted);
  method_static_variables.set("sv_wfshellexec$$disabled", g->sv_wfshellexec$$disabled);
  method_static_variables.set("sv_wfincrstats$$socket", g->sv_wfincrstats$$socket);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmlsingleallowed", g->sv_sanitizer$$removehtmltags$$htmlsingleallowed);
  method_static_variables.set("sv_language$$getcasemaps$$wikiUpperChars", g->sv_language$$getcasemaps$$wikiUpperChars);
  method_static_variables.set("sv_wfabruptexit$$called", g->sv_wfabruptexit$$called);
  method_static_variables.set("sv_parser$$replaceinternallinks2$$tc", g->sv_parser$$replaceinternallinks2$$tc);
  method_static_variables.set("sv_skin$$getskinnames$$skinsInitialised", g->sv_skin$$getskinnames$$skinsInitialised);
  method_static_variables.set("sv_wfsuppresswarnings$$originalLevel", g->sv_wfsuppresswarnings$$originalLevel);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$staticInitialised", g->sv_sanitizer$$removehtmltags$$staticInitialised);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmlnest", g->sv_sanitizer$$removehtmltags$$htmlnest);
  method_static_variables.set("sv_language$$romannumeral$$table", g->sv_language$$romannumeral$$table);
  method_static_variables.set("sv_stubobject$$_unstub$$recursionLevel", g->sv_stubobject$$_unstub$$recursionLevel);
  method_static_variables.set("sv_language$$hebrewnumeral$$table", g->sv_language$$hebrewnumeral$$table);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmlsingleonly", g->sv_sanitizer$$removehtmltags$$htmlsingleonly);
  method_static_variables.set("sv_utfnormal$$quickisnfcverify$$checkit", g->sv_utfnormal$$quickisnfcverify$$checkit);
  method_static_variables.set("sv_wfloadextensionmessages$$loaded", g->sv_wfloadextensionmessages$$loaded);
  method_static_variables.set("sv_wfinitshelllocale$$done", g->sv_wfinitshelllocale$$done);
  method_static_variables.set("sv_ip$$ispublic$$privateRanges", g->sv_ip$$ispublic$$privateRanges);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmlpairs", g->sv_sanitizer$$removehtmltags$$htmlpairs);
  method_static_variables.set("sv_language$$getcasemaps$$wikiLowerChars", g->sv_language$$getcasemaps$$wikiLowerChars);
  method_static_variables.set("sv_block$$formatexpiry$$msg", g->sv_block$$formatexpiry$$msg);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmllist", g->sv_sanitizer$$removehtmltags$$htmllist);
  method_static_variables.set("sv_coreparserfunctions$$pagesincategory$$cache", g->sv_coreparserfunctions$$pagesincategory$$cache);
  method_static_variables.set("sv_ppframe_dom$$expand$$expansionDepth", g->sv_ppframe_dom$$expand$$expansionDepth);
  method_static_variables.set("sv_parser$$replaceinternallinks2$$e1", g->sv_parser$$replaceinternallinks2$$e1);
  method_static_variables.set("sv_language$$getfallbackfor$$cache", g->sv_language$$getfallbackfor$$cache);
  method_static_variables.set("sv_coreparserfunctions$$israw$$mwRaw", g->sv_coreparserfunctions$$israw$$mwRaw);
  method_static_variables.set("sv_coreparserfunctions$$pagesize$$cache", g->sv_coreparserfunctions$$pagesize$$cache);
  method_static_variables.set("sv_linkcache$$singleton$$instance", g->sv_linkcache$$singleton$$instance);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$tabletags", g->sv_sanitizer$$removehtmltags$$tabletags);
  method_static_variables.set("sv_user$$getmaxid$$res", g->sv_user$$getmaxid$$res);
  method_static_variables.set("sv_parser$$getimageparams$$internalParamNames", g->sv_parser$$getimageparams$$internalParamNames);
  method_static_variables.set("sv_sanitizer$$attributewhitelist$$list", g->sv_sanitizer$$attributewhitelist$$list);
  method_static_variables.set("sv_linker$$splittrail$$regex", g->sv_linker$$splittrail$$regex);
  method_static_variables.set("sv_parser$$getimageparams$$internalParamMap", g->sv_parser$$getimageparams$$internalParamMap);
  method_static_variables.set("sv_parser$$extracttagsandparams$$n", g->sv_parser$$extracttagsandparams$$n);
  method_static_variables.set("sv_parser$$replaceinternallinks2$$e1_img", g->sv_parser$$replaceinternallinks2$$e1_img);
  method_static_variables.set("sv_language$$newfromcode$$recursionLevel", g->sv_language$$newfromcode$$recursionLevel);
  method_static_variables.set("sv_wfdebug$$cache", g->sv_wfdebug$$cache);
  method_static_variables.set("sv_user$$isusablename$$reservedUsernames", g->sv_user$$isusablename$$reservedUsernames);
  method_static_variables.set("sv_utfnormal$$quickisnfcverify$$tailBytes", g->sv_utfnormal$$quickisnfcverify$$tailBytes);
  method_static_variables.set("sv_wfhostname$$host", g->sv_wfhostname$$host);
  method_static_variables.set("sv_backlinkcache$$getprefix$$prefixes", g->sv_backlinkcache$$getprefix$$prefixes);
  method_static_variables.set("sv_title$$newfromtext$$cachedcount", g->sv_title$$newfromtext$$cachedcount);
  method_static_variables.set("sv_language$$loadlocalisation$$recursionGuard", g->sv_language$$loadlocalisation$$recursionGuard);
  method_static_variables.set("sv_article$$tryfilecache$$called", g->sv_article$$tryfilecache$$called);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmlelements", g->sv_sanitizer$$removehtmltags$$htmlelements);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$listtags", g->sv_sanitizer$$removehtmltags$$listtags);
  method_static_variables.set("sv_sanitizer$$removehtmltags$$htmlsingle", g->sv_sanitizer$$removehtmltags$$htmlsingle);
  method_static_variables.set("sv_utfnormal$$quickisnfcverify$$utfCheckOrCombining", g->sv_utfnormal$$quickisnfcverify$$utfCheckOrCombining);
  method_static_variables.set("sv_wfsuppresswarnings$$suppressCount", g->sv_wfsuppresswarnings$$suppressCount);
  method_static_variables.set("sv_mwnamespace$$getcanonicalindex$$xNamespaces", g->sv_mwnamespace$$getcanonicalindex$$xNamespaces);
  method_static_variables.set("sv_sanitizer$$escapeid$$replace", g->sv_sanitizer$$escapeid$$replace);
  method_static_variables.set("sv_parser$$transformmsg$$executing", g->sv_parser$$transformmsg$$executing);
  method_static_variables.set("sv_wfdebug$$recursion", g->sv_wfdebug$$recursion);
  String s = f_json_encode(method_static_variables);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_method_static_inited(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$method_static_inited = json_decode('");
  Array method_static_inited;
  method_static_inited.set("inited_sv_title$$secureandsplit$$rxTc", g->inited_sv_title$$secureandsplit$$rxTc);
  method_static_inited.set("inited_sv_wfout$$lineStarted", g->inited_sv_wfout$$lineStarted);
  method_static_inited.set("inited_sv_wfshellexec$$disabled", g->inited_sv_wfshellexec$$disabled);
  method_static_inited.set("inited_sv_wfincrstats$$socket", g->inited_sv_wfincrstats$$socket);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmlsingleallowed", g->inited_sv_sanitizer$$removehtmltags$$htmlsingleallowed);
  method_static_inited.set("inited_sv_language$$getcasemaps$$wikiUpperChars", g->inited_sv_language$$getcasemaps$$wikiUpperChars);
  method_static_inited.set("inited_sv_wfabruptexit$$called", g->inited_sv_wfabruptexit$$called);
  method_static_inited.set("inited_sv_parser$$replaceinternallinks2$$tc", g->inited_sv_parser$$replaceinternallinks2$$tc);
  method_static_inited.set("inited_sv_skin$$getskinnames$$skinsInitialised", g->inited_sv_skin$$getskinnames$$skinsInitialised);
  method_static_inited.set("inited_sv_wfsuppresswarnings$$originalLevel", g->inited_sv_wfsuppresswarnings$$originalLevel);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$staticInitialised", g->inited_sv_sanitizer$$removehtmltags$$staticInitialised);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmlnest", g->inited_sv_sanitizer$$removehtmltags$$htmlnest);
  method_static_inited.set("inited_sv_language$$romannumeral$$table", g->inited_sv_language$$romannumeral$$table);
  method_static_inited.set("inited_sv_stubobject$$_unstub$$recursionLevel", g->inited_sv_stubobject$$_unstub$$recursionLevel);
  method_static_inited.set("inited_sv_language$$hebrewnumeral$$table", g->inited_sv_language$$hebrewnumeral$$table);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmlsingleonly", g->inited_sv_sanitizer$$removehtmltags$$htmlsingleonly);
  method_static_inited.set("inited_sv_utfnormal$$quickisnfcverify$$checkit", g->inited_sv_utfnormal$$quickisnfcverify$$checkit);
  method_static_inited.set("inited_sv_wfloadextensionmessages$$loaded", g->inited_sv_wfloadextensionmessages$$loaded);
  method_static_inited.set("inited_sv_wfinitshelllocale$$done", g->inited_sv_wfinitshelllocale$$done);
  method_static_inited.set("inited_sv_ip$$ispublic$$privateRanges", g->inited_sv_ip$$ispublic$$privateRanges);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmlpairs", g->inited_sv_sanitizer$$removehtmltags$$htmlpairs);
  method_static_inited.set("inited_sv_language$$getcasemaps$$wikiLowerChars", g->inited_sv_language$$getcasemaps$$wikiLowerChars);
  method_static_inited.set("inited_sv_block$$formatexpiry$$msg", g->inited_sv_block$$formatexpiry$$msg);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmllist", g->inited_sv_sanitizer$$removehtmltags$$htmllist);
  method_static_inited.set("inited_sv_coreparserfunctions$$pagesincategory$$cache", g->inited_sv_coreparserfunctions$$pagesincategory$$cache);
  method_static_inited.set("inited_sv_ppframe_dom$$expand$$expansionDepth", g->inited_sv_ppframe_dom$$expand$$expansionDepth);
  method_static_inited.set("inited_sv_parser$$replaceinternallinks2$$e1", g->inited_sv_parser$$replaceinternallinks2$$e1);
  method_static_inited.set("inited_sv_language$$getfallbackfor$$cache", g->inited_sv_language$$getfallbackfor$$cache);
  method_static_inited.set("inited_sv_coreparserfunctions$$israw$$mwRaw", g->inited_sv_coreparserfunctions$$israw$$mwRaw);
  method_static_inited.set("inited_sv_coreparserfunctions$$pagesize$$cache", g->inited_sv_coreparserfunctions$$pagesize$$cache);
  method_static_inited.set("inited_sv_linkcache$$singleton$$instance", g->inited_sv_linkcache$$singleton$$instance);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$tabletags", g->inited_sv_sanitizer$$removehtmltags$$tabletags);
  method_static_inited.set("inited_sv_user$$getmaxid$$res", g->inited_sv_user$$getmaxid$$res);
  method_static_inited.set("inited_sv_parser$$getimageparams$$internalParamNames", g->inited_sv_parser$$getimageparams$$internalParamNames);
  method_static_inited.set("inited_sv_sanitizer$$attributewhitelist$$list", g->inited_sv_sanitizer$$attributewhitelist$$list);
  method_static_inited.set("inited_sv_linker$$splittrail$$regex", g->inited_sv_linker$$splittrail$$regex);
  method_static_inited.set("inited_sv_parser$$getimageparams$$internalParamMap", g->inited_sv_parser$$getimageparams$$internalParamMap);
  method_static_inited.set("inited_sv_parser$$extracttagsandparams$$n", g->inited_sv_parser$$extracttagsandparams$$n);
  method_static_inited.set("inited_sv_parser$$replaceinternallinks2$$e1_img", g->inited_sv_parser$$replaceinternallinks2$$e1_img);
  method_static_inited.set("inited_sv_language$$newfromcode$$recursionLevel", g->inited_sv_language$$newfromcode$$recursionLevel);
  method_static_inited.set("inited_sv_wfdebug$$cache", g->inited_sv_wfdebug$$cache);
  method_static_inited.set("inited_sv_user$$isusablename$$reservedUsernames", g->inited_sv_user$$isusablename$$reservedUsernames);
  method_static_inited.set("inited_sv_utfnormal$$quickisnfcverify$$tailBytes", g->inited_sv_utfnormal$$quickisnfcverify$$tailBytes);
  method_static_inited.set("inited_sv_wfhostname$$host", g->inited_sv_wfhostname$$host);
  method_static_inited.set("inited_sv_backlinkcache$$getprefix$$prefixes", g->inited_sv_backlinkcache$$getprefix$$prefixes);
  method_static_inited.set("inited_sv_title$$newfromtext$$cachedcount", g->inited_sv_title$$newfromtext$$cachedcount);
  method_static_inited.set("inited_sv_language$$loadlocalisation$$recursionGuard", g->inited_sv_language$$loadlocalisation$$recursionGuard);
  method_static_inited.set("inited_sv_article$$tryfilecache$$called", g->inited_sv_article$$tryfilecache$$called);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmlelements", g->inited_sv_sanitizer$$removehtmltags$$htmlelements);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$listtags", g->inited_sv_sanitizer$$removehtmltags$$listtags);
  method_static_inited.set("inited_sv_sanitizer$$removehtmltags$$htmlsingle", g->inited_sv_sanitizer$$removehtmltags$$htmlsingle);
  method_static_inited.set("inited_sv_utfnormal$$quickisnfcverify$$utfCheckOrCombining", g->inited_sv_utfnormal$$quickisnfcverify$$utfCheckOrCombining);
  method_static_inited.set("inited_sv_wfsuppresswarnings$$suppressCount", g->inited_sv_wfsuppresswarnings$$suppressCount);
  method_static_inited.set("inited_sv_mwnamespace$$getcanonicalindex$$xNamespaces", g->inited_sv_mwnamespace$$getcanonicalindex$$xNamespaces);
  method_static_inited.set("inited_sv_sanitizer$$escapeid$$replace", g->inited_sv_sanitizer$$escapeid$$replace);
  method_static_inited.set("inited_sv_parser$$transformmsg$$executing", g->inited_sv_parser$$transformmsg$$executing);
  method_static_inited.set("inited_sv_wfdebug$$recursion", g->inited_sv_wfdebug$$recursion);
  String s = f_json_encode(method_static_inited);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_class_static_variables(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$class_static_variables = json_decode('");
  Array class_static_variables;
  class_static_variables.set("s_magicword$$mDoubleUnderscoreArray", g->s_magicword$$mDoubleUnderscoreArray);
  class_static_variables.set("s_language$$GREG_DAYS", g->s_language$$GREG_DAYS);
  class_static_variables.set("s_language$$mMergeableMapKeys", g->s_language$$mMergeableMapKeys);
  class_static_variables.set("s_magicword$$mDoubleUnderscoreIDs", g->s_magicword$$mDoubleUnderscoreIDs);
  class_static_variables.set("s_language$$mMergeableListKeys", g->s_language$$mMergeableListKeys);
  class_static_variables.set("s_magicword$$mCacheTTLs", g->s_magicword$$mCacheTTLs);
  class_static_variables.set("s_magicword$$mVariableIDsInitialised", g->s_magicword$$mVariableIDsInitialised);
  class_static_variables.set("s_user$$mCoreRights", g->s_user$$mCoreRights);
  class_static_variables.set("s_language$$mMonthAbbrevMsgs", g->s_language$$mMonthAbbrevMsgs);
  class_static_variables.set("s_language$$mLocalisationKeys", g->s_language$$mLocalisationKeys);
  class_static_variables.set("s_magicword$$mVariableIDs", g->s_magicword$$mVariableIDs);
  class_static_variables.set("s_language$$mHebrewCalendarMonthGenMsgs", g->s_language$$mHebrewCalendarMonthGenMsgs);
  class_static_variables.set("s_title$$titleCache", g->s_title$$titleCache);
  class_static_variables.set("s_user$$mCacheVars", g->s_user$$mCacheVars);
  class_static_variables.set("s_language$$mLocalisationCache", g->s_language$$mLocalisationCache);
  class_static_variables.set("s_language$$mHebrewCalendarMonthMsgs", g->s_language$$mHebrewCalendarMonthMsgs);
  class_static_variables.set("s_language$$mMonthGenMsgs", g->s_language$$mMonthGenMsgs);
  class_static_variables.set("s_ppdstack$$false", g->s_ppdstack$$false);
  class_static_variables.set("s_user$$mAllRights", g->s_user$$mAllRights);
  class_static_variables.set("s_language$$mWeekdayAbbrevMsgs", g->s_language$$mWeekdayAbbrevMsgs);
  class_static_variables.set("s_user$$mToggles", g->s_user$$mToggles);
  class_static_variables.set("s_language$$mHijriCalendarMonthMsgs", g->s_language$$mHijriCalendarMonthMsgs);
  class_static_variables.set("s_language$$mMonthMsgs", g->s_language$$mMonthMsgs);
  class_static_variables.set("s_language$$mMergeableAliasListKeys", g->s_language$$mMergeableAliasListKeys);
  class_static_variables.set("s_title$$interwikiCache", g->s_title$$interwikiCache);
  class_static_variables.set("s_language$$mIranianCalendarMonthMsgs", g->s_language$$mIranianCalendarMonthMsgs);
  class_static_variables.set("s_magicword$$mObjects", g->s_magicword$$mObjects);
  class_static_variables.set("s_language$$IRANIAN_DAYS", g->s_language$$IRANIAN_DAYS);
  class_static_variables.set("s_language$$mLangObjCache", g->s_language$$mLangObjCache);
  class_static_variables.set("s_language$$mWeekdayMsgs", g->s_language$$mWeekdayMsgs);
  String s = f_json_encode(class_static_variables);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_pseudomain_variables(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$pseudomain_variables = json_decode('");
  Array pseudomain_variables;
  pseudomain_variables.set("run_pm_php$Parser2_php", g->run_pm_php$Parser2_php);
  String s = f_json_encode(pseudomain_variables);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_redeclared_functions(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$redeclared_functions = json_decode('");
  Array redeclared_functions;
  String s = f_json_encode(redeclared_functions);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

static void output_redeclared_classes(FILE *fp) {
  DECLARE_GLOBAL_VARIABLES(g);
  print(fp, "\n$redeclared_classes = json_decode('");
  Array redeclared_classes;
  String s = f_json_encode(redeclared_classes);
  s = StringUtil::CEncode(s, "\\\'");
  print(fp, s);
  print(fp, "', true);\n");
}

void output_global_state(FILE *fp) {
  output_static_global_variables(fp);
  output_dynamic_global_variables(fp);
  output_dynamic_constants(fp);
  output_method_static_variables(fp);
  output_method_static_inited(fp);
  output_class_static_variables(fp);
  output_pseudomain_variables(fp);
  output_redeclared_functions(fp);
  output_redeclared_classes(fp);
}


///////////////////////////////////////////////////////////////////////////////
}
